/* K M Briggs 2005 Dec 26 */

#include "mpfs.h"
#include "timing.h"

int main(int argc, char* argv[]) {
  mpfs_t x,y;
  printf("gmp-%s mpfr-%s %s\n",gmp_version,mpfr_get_version(),mpfs_get_version());
  mpfs_set_alpha(10);
  printf("Ron Graham's sqrt test...\n");
  x=
  mpfs_add(mpfs_sqrt(mpfs_set_d(1000001.0)),
  mpfs_add(mpfs_sqrt(mpfs_set_d(1000025.0)),
  mpfs_add(mpfs_sqrt(mpfs_set_d(1000031.0)),
  mpfs_add(mpfs_sqrt(mpfs_set_d(1000084.0)),
  mpfs_add(mpfs_sqrt(mpfs_set_d(1000087.0)),
  mpfs_add(mpfs_sqrt(mpfs_set_d(1000134.0)),
  mpfs_add(mpfs_sqrt(mpfs_set_d(1000158.0)),
  mpfs_add(mpfs_sqrt(mpfs_set_d(1000182.0)),
           mpfs_sqrt(mpfs_set_d(1000198.0))
  ))))))));
  y=
  mpfs_add(mpfs_sqrt(mpfs_set_d(1000002.0)),
  mpfs_add(mpfs_sqrt(mpfs_set_d(1000018.0)),
  mpfs_add(mpfs_sqrt(mpfs_set_d(1000042.0)),
  mpfs_add(mpfs_sqrt(mpfs_set_d(1000066.0)),
  mpfs_add(mpfs_sqrt(mpfs_set_d(1000113.0)),
  mpfs_add(mpfs_sqrt(mpfs_set_d(1000116.0)),
  mpfs_add(mpfs_sqrt(mpfs_set_d(1000169.0)),
  mpfs_add(mpfs_sqrt(mpfs_set_d(1000175.0)),
           mpfs_sqrt(mpfs_set_d(1000199.0))
  ))))))));
  timing_init(stderr);
  printf("should be -1: %d\n",mpfs_cmp(x,y));
  timing_end(stderr);
  return 0;
}
