/* K M Briggs 2006 Jun 08 */

#include "mpfs.h"
#include "timing.h"

int main() {
  const int n=1000;
  int i;
  mpfs_t one=mpfs_set_ui(1),x[n];
  printf("gmp-%s mpfr-%s %s\n",gmp_version,mpfr_get_version(),mpfs_get_version());
  for (i=0; i<n; i++) x[i]=mpfs_set_ui(i+1);
  for (i=0; i<n; i++) x[i]=mpfs_div(one,x[i]);
  mpfs_out_str(stdout,10,50,mpfs_sum(x,n))+printf("\n");
  return 0;
}
