/* K M Briggs 2006 Jan 04 */
// mpfs exact arithmetic test - "Many digits" competition problem C01

#include <stdlib.h>
#include <math.h>
#include <stdio.h>
#include "mpfs.h"
#include "timing.h"

int main(int argc, char* argv[]) {
  int n=1;
  printf("gmp-%s mpfr-%s %s\n",gmp_version,mpfr_get_version(),mpfs_get_version());
  if (argc>1) n=atoi(argv[1]);
  printf("Many Digits Friendly Competition C01: N=%d\n",n);
  timing_init(stderr);
  printf("sin(tan(cos(1)))="); fflush(stdout);
  //mpfs_out_str(stdout,10,(int)pow(10,n),((mpfs_cos(mpfs_set_d(1)))));
  mpfs_out_str(stdout,10,(int)pow(10,n),mpfs_sin(mpfs_tan(mpfs_cos(mpfs_set_d(1)))));
  printf("\n");
  timing_end(stderr);
  return 0;
}
