/* K M Briggs 2005 Dec 26 */
// mpfs exact arithmetic - continued fraction test

#include "mpfs.h"
#include "timing.h"

int main() {
  int i,b=0;
  mpfs_t r,x;
  mpz_t a;
  long d;
  printf("gmp-%s mpfr-%s %s\n",gmp_version,mpfr_get_version(),mpfs_get_version());
  mpz_init(a);
  x=mpfs_sub_ui(mpfs_const_pi(),3);
  mpfs_set_alpha(10.0);
  timing_init(stderr);
  for (i=0; i<100; i++) {
    r=mpfs_ui_div(1,x);
    //mpfs_dump0("r=",r,"\n",10);
    d=mpfs_floor(a,r);
    b+=printf("%ld ",d);
    if (b>80) {
      b=0;
      printf("\n");
      fflush(stdout);
    }
    //mpz_out_str(stdout,10,a);
    x=mpfs_sub_si(r,d);
  }
  printf("\n");
  timing_end(stderr);
  return 0;
}
