/* K M Briggs 2005 Dec 26 */
// mpfs exact arithmetic
// ? \p 1000
// ? exp(Pi*sqrt(163))
//%1 = 262537412640768743.9999999999992500725971981856888793538563373369908627

#include "mpfs.h"
#include "timing.h"

int main() {
  mpfs_t x;
  mpz_t f;
  printf("gmp-%s mpfr-%s %s\n",gmp_version,mpfr_get_version(),mpfs_get_version());
  mpz_init(f);
  x=mpfs_exp(mpfs_mul(mpfs_const_pi(),mpfs_sqrt(mpfs_set_d(163))));
  //x=mpfs_exp(mpfs_const_pi());
  //x=mpfs_exp(mpfs_sqrt(mpfs_set_d(163)));
  mpfs_floor(f,x);
  printf("floor(exp(pi*sqrt(163)))=");
  mpz_out_str(stdout,10,f);
  printf("\n");
  printf("(should be               262537412640768743)\n");
  mpz_clear(f);
  return 0;
}
